> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add access control invitations

> Add emails that can open the form. The form access must be `invited`. This does not send any email. Emails that are not valid are skipped and repeated emails are ignored.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/form-settings.yaml POST /forms/{form_id}/access_control_invitations
openapi: 3.0.3
info:
  title: NeetoForm Form Settings APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/access_control_invitations:
    post:
      tags:
        - Access Control
      summary: Add access control invitations
      description: >-
        Add emails that can open the form. The form access must be `invited`.
        This does not send any email. Emails that are not valid are skipped and
        repeated emails are ignored.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - emails
              properties:
                emails:
                  type: array
                  minItems: 1
                  maxItems: 100
                  items:
                    type: string
                    format: email
                  description: Email addresses, at most 100.
                  example:
                    - oliver.smith@example.com
      responses:
        '201':
          description: Created - Invitations added
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/invited_emails_response'
        '404':
          $ref: '#/components/responses/response_form_not_found'
        '422':
          description: >-
            Unprocessable Entity - The access is not `invited`, or more than 100
            emails were sent
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: >-
                  Invitations can be added only when the form's access is
                  restricted to invited emails.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
  schemas:
    invited_emails_response:
      type: object
      properties:
        invited_emails:
          type: array
          items:
            type: string
            format: email
          example:
            - oliver.smith@example.com
    error_response:
      type: object
      properties:
        error:
          type: string
  responses:
    response_form_not_found:
      description: Not Found - The form does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'
          example:
            error: Form does not exist.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.